Bug 1623573

Summary: unable to add disk to vm via rest-api vm reconfiguration on vmware [request backport from existing commit]
Product: Red Hat CloudForms Management Engine Reporter: Satoe Imaishi <simaishi>
Component: APIAssignee: Gregg Tanzillo <gtanzill>
Status: CLOSED ERRATA QA Contact: Martin Kourim <mkourim>
Severity: low Docs Contact:
Priority: high    
Version: 5.8.2CC: agrare, mkourim, obarenbo, smallamp
Target Milestone: GAKeywords: ZStream
Target Release: 5.9.5   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: 5.9.5.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1618517 Environment:
Last Closed: 2018-11-05 13:58:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1618517    
Bug Blocks:    

Comment 2 CFME Bot 2018-09-13 16:04:21 UTC
New commit detected on ManageIQ/manageiq-api/gaprindashvili:

https://github.com/ManageIQ/manageiq-api/commit/89e79662805a7c7c8c0cd28c51a124e5448e0111
commit 89e79662805a7c7c8c0cd28c51a124e5448e0111
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Tue Feb 13 10:13:40 2018 -0500
Commit:     Alberto Bellotti <abellotti@users.noreply.github.com>
CommitDate: Tue Feb 13 10:13:40 2018 -0500

    Merge pull request #312 from jntullo/deep_symbolize_request

    Deep symbolize keys when parsing options
    (cherry picked from commit 4e7edaad50c50b266858ec071f0cc60ad127feec)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1623573

 lib/services/api/request_parser.rb | 2 +-
 spec/lib/services/api/request_parser_spec.rb | 6 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

Comment 3 Martin Kourim 2018-10-24 16:44:28 UTC
Verified that it's possible to add disk to vm via rest-api vm reconfiguration on vmware (vCenter 6.5)

POST /api/requests
{
    "action": "create",
    "options": {
        "src_ids": ["58"],
        "request_type": "vm_reconfigure",
        "disk_add": [
            {
                "disk_size_in_mb": 20480,
                "sync": true,
                "datastore": "iSCSI_Datastore_1",
                "persistent": true,
                "thin_provisioned": false,
                "dependent": true,
                "bootable": false
            }
        ]
    },
    "auto_approve": false
}

GET /api/requests/:id
{
    "href": "https://<address>/api/requests/3",
    "id": "3",
    "description": "VM Reconfigure for: test_rest_vm_A69p - Add Disks: 1",
    "approval_state": "approved",
    "type": "VmReconfigureRequest",
    "created_on": "2018-10-24T15:36:13Z",
    "updated_on": "2018-10-24T15:36:41Z",
    "fulfilled_on": "2018-10-24T15:36:41Z",
    "requester_id": "1",
    "requester_name": "Administrator",
    "request_type": "vm_reconfigure",
    "request_state": "finished",
    "message": "VM Reconfigure complete",
    "status": "Ok",
    "options": {
        "src_ids": [
            "58"
        ],
        "request_type": "vm_reconfigure",
        "disk_add": [
            {
                "disk_size_in_mb": 20480,
                "sync": true,
                "datastore": "iSCSI_Datastore_1",
                "persistent": true,
                "thin_provisioned": false,
                "dependent": true,
                "bootable": false
            }
        ],
        "delivered_on": "2018-10-24T15:36:26.514Z"
    },
    "userid": "admin",
    "tenant_id": "1",
    "process": true,
    "actions": [
        {
            "name": "cancel",
            "method": "post",
            "href": "https://<address>/api/requests/3"
        },
        {
            "name": "edit",
            "method": "post",
            "href": "https://<address>/api/requests/3"
        },
        {
            "name": "approve",
            "method": "post",
            "href": "https://<address>/api/requests/3"
        },
        {
            "name": "deny",
            "method": "post",
            "href": "https://<address>/api/requests/3"
        }
    ]
}

Comment 5 errata-xmlrpc 2018-11-05 13:58:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466